Table of Contents

Module: inchi | ../bkchem/oasa/oasa/inchi.py
--- | ---
Functions |
--- | ---
file_to_mol generate_inchi mol_to_file mol_to_text text_to_mol
| file_to_mol
    file_to_mol ( f )
| generate_inchi
    generate_inchi (
            m,
            program=None,
            fixed_hs=False,
            )
Exceptions |
--- | ---
oasa_inchi_error( "InChI program did not create any output InChI" )
| mol_to_file
    mol_to_file ( mol,  f )
| mol_to_text
    mol_to_text (
            mol,
            program=None,
            fixed_hs=False,
            )
| text_to_mol
    text_to_mol (
            text,
            include_hydrogens=True,
            mark_aromatic_bonds=False,
            calc_coords=1,
            )
Classes |
inchi |
inchi_popen |
inchi_popen2 |

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1